cutlass::library::TensorDescription Struct Reference

Structure describing the properties of a tensor.

`#include <library.h>`

## Public Member Functions

| TensorDescription (NumericTypeID element=NumericTypeID::kInvalid, LayoutTypeID layout=LayoutTypeID::kInvalid, int alignment=1, int log_extent_range=24, int log_stride_range=24)

## Public Attributes

NumericTypeID | element
| Numeric type of an individual element. More...
LayoutTypeID | layout
| Enumerant identifying the layout function for the tensor. More...
int | alignment
| Alignment restriction on pointers, strides, and extents. More...
int | log_extent_range
| log2() of the maximum extent of each dimension More...
int | log_stride_range
| log2() of the maximum value each relevant stride may have More...

## Constructor & Destructor Documentation

cutlass::library::TensorDescription::TensorDescription | ( | NumericTypeID | element = `NumericTypeID::kInvalid`,
|  | LayoutTypeID | layout = `LayoutTypeID::kInvalid`,
|  | int | alignment = `1`,
|  | int | log_extent_range = `24`,
|  | int | log_stride_range = `24`
| ) |  |

inline

## Member Data Documentation

int cutlass::library::TensorDescription::alignment

NumericTypeID cutlass::library::TensorDescription::element

LayoutTypeID cutlass::library::TensorDescription::layout

int cutlass::library::TensorDescription::log_extent_range

int cutlass::library::TensorDescription::log_stride_range

The documentation for this struct was generated from the following file:

- library.h